from setuptools import setup, find_packages

setup(
    name="pyvrg",  # Must be unique on PyPI
    version="0.1.0",
    author="Abdelouahed Ben Mhamed",
    author_email="abdelouahed.benmhamed@um6p.ma",
    description="A Python library for data generation in routing problems",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/your-package-name",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
    install_requires=[
        "numpy",
        "scipy"  # List your dependencies
    ],
)